--[[ Move LFG Minimap Status Screen to the top-right of the icon ]]

if not FixR then return end

local DefaultO = {}
local misc = {
  ["desc"] = "Move LFG Minimap Status Screen to the top-right of the icon";
}

local M = FixR:NewModule("MoveLFDTooltip", DefaultO, misc)

function M:Load()
  if FixR:IsMop() then
    QueueStatusFrame:ClearAllPoints()
    QueueStatusFrame:SetPoint("BOTTOMLEFT", QueueStatusMinimapButton, "TOPRIGHT")
  else
    LFGSearchStatus:ClearAllPoints()
    LFGSearchStatus:SetPoint("BOTTOMLEFT", MiniMapLFGFrame, "TOPRIGHT")
  end
end

function M:Unload()
  if FixR:IsMop() then
    QueueStatusFrame:ClearAllPoints()
    QueueStatusFrame:SetPoint("TOPRIGHT", QueueStatusMinimapButton, "BOTTOMLEFT")
  else
    LFGSearchStatus:ClearAllPoints()
    LFGSearchStatus:SetPoint("TOPRIGHT", MiniMapLFGFrame, "BOTTOMLEFT")
  end
end
--LFGTeleport(bool toSafety);